> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.iklim.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Günlük Tahmin İşlemi

> Talep edilen konum için gün bazında özetlenmiş hava durumu metriklerini döner.



## OpenAPI

````yaml /open-api/tr/forecasts_version-1.json post /v1/forecasts/daily
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.iklim.co
    description: Production server
  - url: https://api-test.iklim.co
    description: Test server
security: []
tags:
  - name: Hava Tahmini Servisi
    description: Anlık, saatlik ve günlük hava tahmini işlemlerini yönetir
  - name: Hava Durumu Simgeleri
    description: Hava tahmini uç noktalarının kullandığı WEBP simgelerini sunar
paths:
  /v1/forecasts/daily:
    post:
      tags:
        - Hava Tahmini Servisi
      summary: Günlük Tahmin İşlemi
      description: >-
        Talep edilen konum için gün bazında özetlenmiş hava durumu metriklerini
        döner.
      operationId: getDailyData
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DailyForecastsRequest'
        required: true
      responses:
        '200':
          description: Günlük hava tahmin verileri başarıyla getirildi.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WeatherForecastResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '402':
          description: Ücretli Abonelik Gerekli
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Payment Required:
                  summary: Example response
                  description: Payment Required
                  value:
                    timestamp: '2025-06-25T11:15:41.429518242'
                    status: 402
                    error: Payment Required
                    message: You Need To Renew Your Subscription or Purchase New One
                    path: /v1/forecasts/daily
        '403':
          description: Yasak/İzin Verilmiyor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                No Subscription Found For This Service Endpoint:
                  summary: Missing Subscription
                  description: No Subscription Found For This Service Endpoint
                  value:
                    timestamp: '2025-06-25T11:21:50.510755746'
                    status: 403
                    error: Forbidden
                    message: No Subscription Found For This Service Endpoint
                    path: /v1/forecasts/daily
                This Location Is Not In Allowed Geographic Boundaries:
                  summary: Out of Allowed Geographic Boundaries
                  description: This Location Is Not In Allowed Geographic Boundaries
                  value:
                    timestamp: '2025-06-25T15:59:19.452326857'
                    status: 403
                    error: Forbidden
                    message: >-
                      The Location You Are Querying [dd.ddddd, dd.ddddd] Is Not
                      Within The Geographic Boundaries Allowed In Your
                      Subscription [Country, Region]
                    path: /v1/forecasts/daily
        '429':
          description: Bu Hizmet İçin Abonelik Limitleri Aşıldı
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Too Many Requests:
                  summary: Example response
                  description: Too Many Requests
                  value:
                    timestamp: '2025-06-25T11:02:12.653874655'
                    status: 429
                    error: Too Many Requests
                    message: Your Subscription Limits For This Service is Exceeded
                    path: /v1/forecasts/daily
        '500':
          description: İstek Sırasında Dahili Sunucu Hatası
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Internal Server Error Example:
                  summary: Example response
                  description: Internal Server Error Example
                  value:
                    timestamp: '2025-04-14T16:58:10.414972912'
                    status: 500
                    error: Internal Server Error
                    message: An Error Occurred During Invocation
                    path: /v1/forecasts/daily
components:
  schemas:
    DailyForecastsRequest:
      type: object
      properties:
        location:
          $ref: '#/components/schemas/GeoPoint'
          description: Hava tahmini sorgusunun yapılacağı coğrafi nokta
        forecastDays:
          type: integer
          format: int32
          description: Döndürülecek maksimum gün sayısı (1-14)
          example: 7
          maximum: 14
          minimum: 1
        startTime:
          type: integer
          format: int64
          description: >-
            Talep ufkunun başlangıcını belirleyen isteğe bağlı epoch
            milisaniyesi
          example: 1746454091000
        metrics:
          type: array
          description: >-
            Günlük tahmin uç noktası için talep edilen metrikler. İzin verilen
            değerler: WEATHER_ICON, TEMPERATURE_AVG, TEMPERATURE_MIN,
            TEMPERATURE_MAX, APPARENT_TEMPERATURE_AVG, APPARENT_TEMPERATURE_MIN,
            APPARENT_TEMPERATURE_MAX, HUMIDITY_AVG, HUMIDITY_MIN, HUMIDITY_MAX,
            CLOUD_COVER_AVG, CLOUD_COVER_MIN, CLOUD_COVER_MAX, WIND_SPEED_AVG,
            WIND_SPEED_MIN, WIND_SPEED_MAX, WIND_GUSTS_AVG, WIND_GUSTS_MIN,
            WIND_GUSTS_MAX, WIND_DIRECTION, SNOWFALL, PRECIPITATION,
            PRECIPITATION_PROBABILITY_AVG, PRECIPITATION_PROBABILITY_MIN,
            PRECIPITATION_PROBABILITY_MAX, VISIBILITY_AVG, VISIBILITY_MIN,
            VISIBILITY_MAX, REF_EVAPORATION_TRANSPIRATION_ET0,
            REF_EVAPORATION_TRANSPIRATION_ET0_SUM, DEW_POINT_AVG, DEW_POINT_MIN,
            DEW_POINT_MAX, SHORTWAVE_RADIATION_SUM
          example:
            - TEMPERATURE_MAX
            - TEMPERATURE_MIN
          items:
            type: string
            enum:
              - WEATHER_ICON
              - TEMPERATURE
              - TEMPERATURE_AVG
              - TEMPERATURE_MIN
              - TEMPERATURE_MAX
              - APPARENT_TEMPERATURE
              - APPARENT_TEMPERATURE_AVG
              - APPARENT_TEMPERATURE_MIN
              - APPARENT_TEMPERATURE_MAX
              - HUMIDITY
              - HUMIDITY_AVG
              - HUMIDITY_MIN
              - HUMIDITY_MAX
              - CLOUD_COVER
              - CLOUD_COVER_AVG
              - CLOUD_COVER_MIN
              - CLOUD_COVER_MAX
              - WIND_SPEED
              - WIND_SPEED_AVG
              - WIND_SPEED_MIN
              - WIND_SPEED_MAX
              - WIND_GUSTS
              - WIND_GUSTS_AVG
              - WIND_GUSTS_MIN
              - WIND_GUSTS_MAX
              - WIND_DIRECTION
              - SNOWFALL
              - PRECIPITATION
              - PRECIPITATION_PROBABILITY
              - PRECIPITATION_PROBABILITY_AVG
              - PRECIPITATION_PROBABILITY_MIN
              - PRECIPITATION_PROBABILITY_MAX
              - REF_EVAPORATION_TRANSPIRATION_ET0
              - REF_EVAPORATION_TRANSPIRATION_ET0_SUM
              - DEW_POINT
              - DEW_POINT_AVG
              - DEW_POINT_MIN
              - DEW_POINT_MAX
              - SOIL_TEMPERATURE
              - SOIL_MOISTURE
              - GLOBAL_TILTED_RADIATION_GTI
              - DIRECT_NORMAL_IRRADIANCE_DNI
              - SHORTWAVE_SOLAR_RADIATION_GHI
              - SHORTWAVE_RADIATION_SUM
              - VISIBILITY
              - VISIBILITY_AVG
              - VISIBILITY_MIN
              - VISIBILITY_MAX
          minItems: 1
      required:
        - location
        - metrics
    WeatherForecastResponse:
      type: object
      properties:
        location:
          $ref: '#/components/schemas/GeoPoint'
          description: Tahminin üretildiği konum
        timezone:
          type: string
          description: Zaman damgalarında kullanılan IANA zaman dilimi kimliği
          example: Europe/Istanbul
        elevation:
          type: number
          format: double
          description: Talep edilen konumun metre cinsinden rakımı
          example: 897.5
        weatherIconUrlBase:
          type: string
          description: Hava durumu simgelerini almak için kullanılabilecek temel URL
          example: https://api-test.iklim.co/v1/weather-icons
        metricForecasts:
          type: array
          description: Cevapta döndürülen metrik tahminleri
          items:
            $ref: '#/components/schemas/MetricForecasts'
        warnings:
          type: array
          description: İstek için döndürülen bilgilendirici uyarılar
          example:
            - 'The provided metric is not valid for this request: TEMPERATURE_SUM'
          items:
            type: string
    StandardErrorResponse:
      type: object
      description: Standart API hata cevabı yapısı
      properties:
        timestamp:
          type: string
          format: date-time
          description: Hatanın oluştuğu zaman damgası
          example: YYYY-mm-DDTHH:MM:SS.nnnnnnnnn
        status:
          type: integer
          format: int32
          description: HTTP durum kodu
          example: XXX
        error:
          type: string
          description: Hata adı veya tipi
          example: Error Name
          minLength: 1
        message:
          type: string
          description: Ana hata mesajı
          example: Error Message
          minLength: 1
        messages:
          type: array
          description: Ek detaylı hata mesajları
          items:
            type: string
        path:
          type: string
          description: Hatanın oluştuğu istek yolu
          example: /endpoint/uri/here
          minLength: 1
      required:
        - error
        - message
        - path
        - status
        - timestamp
    GeoPoint:
      type: object
      properties:
        lng:
          type: number
          format: double
          description: Boylam koordinatı.
          example: 32.857358
          maximum: 180
          minimum: -180
        lat:
          type: number
          format: double
          description: Enlem koordinatı.
          example: 39.93504
          maximum: 90
          minimum: -90
      required:
        - lat
        - lng
    MetricForecasts:
      type: object
      properties:
        metric:
          type: string
          description: Metrik tanımlayıcısı
          enum:
            - WEATHER_ICON
            - TEMPERATURE
            - TEMPERATURE_AVG
            - TEMPERATURE_MIN
            - TEMPERATURE_MAX
            - APPARENT_TEMPERATURE
            - APPARENT_TEMPERATURE_AVG
            - APPARENT_TEMPERATURE_MIN
            - APPARENT_TEMPERATURE_MAX
            - HUMIDITY
            - HUMIDITY_AVG
            - HUMIDITY_MIN
            - HUMIDITY_MAX
            - CLOUD_COVER
            - CLOUD_COVER_AVG
            - CLOUD_COVER_MIN
            - CLOUD_COVER_MAX
            - WIND_SPEED
            - WIND_SPEED_AVG
            - WIND_SPEED_MIN
            - WIND_SPEED_MAX
            - WIND_GUSTS
            - WIND_GUSTS_AVG
            - WIND_GUSTS_MIN
            - WIND_GUSTS_MAX
            - WIND_DIRECTION
            - SNOWFALL
            - PRECIPITATION
            - PRECIPITATION_PROBABILITY
            - PRECIPITATION_PROBABILITY_AVG
            - PRECIPITATION_PROBABILITY_MIN
            - PRECIPITATION_PROBABILITY_MAX
            - REF_EVAPORATION_TRANSPIRATION_ET0
            - REF_EVAPORATION_TRANSPIRATION_ET0_SUM
            - DEW_POINT
            - DEW_POINT_AVG
            - DEW_POINT_MIN
            - DEW_POINT_MAX
            - SOIL_TEMPERATURE
            - SOIL_MOISTURE
            - GLOBAL_TILTED_RADIATION_GTI
            - DIRECT_NORMAL_IRRADIANCE_DNI
            - SHORTWAVE_SOLAR_RADIATION_GHI
            - SHORTWAVE_RADIATION_SUM
            - VISIBILITY
            - VISIBILITY_AVG
            - VISIBILITY_MIN
            - VISIBILITY_MAX
          example: TEMPERATURE
        unit:
          type: string
          description: Metrik değerlerinin birimi
          example: °C
        forecasts:
          type: array
          description: Metrik için döndürülen tahmin örnekleri
          items:
            $ref: '#/components/schemas/Forecast'
    Forecast:
      type: object
      properties:
        time:
          type: string
          format: date-time
          description: Metrik değerinin zaman damgası
          example: '2025-04-14T16:58:22Z'
        isDay:
          type: boolean
          description: Örneğin gündüz saatlerine ait olup olmadığını gösterir
          example: true
        value:
          type: number
          description: Zaman damgasındaki metrik değeri
          example: 23.5
        icon:
          type: string
          description: Hava durumu koşulunu tanımlayan simge kimliği
          example: sunny

````